/* eslint-disable */
// @ts-ignore
import { request } from '@/utils/request';

/** 此处后端没有提供注释 GET /api/UserResume/GetUserResume */
export async function getUserResume(options?: API.RequestConfig) {
  return request<API.MyResumeOutput>('/api/UserResume/GetUserResume', {
    method: 'GET',
    ...(options || {}),
  });
}

/** 此处后端没有提供注释 GET /api/UserResume/GetUserResumeCertificateDetailById */
export async function getUserResumeCertificateDetailById(
  // 叠加生成的Param类型 (非body参数swagger默认没有生成对象)
  params: API.APIgetUserResumeCertificateDetailByIdParams,
  options?: API.RequestConfig
) {
  return request<API.UserResumeCertificateDetailOutput>(
    '/api/UserResume/GetUserResumeCertificateDetailById',
    {
      method: 'GET',
      params: {
        ...params,
      },
      ...(options || {}),
    }
  );
}

/** 此处后端没有提供注释 GET /api/UserResume/GetUserResumeCertificateList */
export async function getUserResumeCertificateList(options?: API.RequestConfig) {
  return request<API.UserResumeCertificateListOutput[]>(
    '/api/UserResume/GetUserResumeCertificateList',
    {
      method: 'GET',
      ...(options || {}),
    }
  );
}

/** 此处后端没有提供注释 GET /api/UserResume/GetUserResumeDetailInfo */
export async function getUserResumeDetailInfo(options?: API.RequestConfig) {
  return request<API.UserResumeDetailInfoOutput>('/api/UserResume/GetUserResumeDetailInfo', {
    method: 'GET',
    ...(options || {}),
  });
}

/** 此处后端没有提供注释 GET /api/UserResume/GetUserResumeWorkExperience */
export async function getUserResumeWorkExperience(options?: API.RequestConfig) {
  return request<API.UserResumeWorkExperienceOutput>(
    '/api/UserResume/GetUserResumeWorkExperience',
    {
      method: 'GET',
      ...(options || {}),
    }
  );
}

/** 此处后端没有提供注释 POST /api/UserResume/SaveUserResumeBaseInfo */
export async function saveUserResumeBaseInfo(
  body: API.SaveUserResumeBaseInfoInput,
  options?: API.RequestConfig
) {
  return request<any>('/api/UserResume/SaveUserResumeBaseInfo', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 此处后端没有提供注释 POST /api/UserResume/SaveUserResumeCertificate */
export async function saveUserResumeCertificate(
  body: API.SaveUserResumeCertificateInput,
  options?: API.RequestConfig
) {
  return request<any>('/api/UserResume/SaveUserResumeCertificate', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 此处后端没有提供注释 POST /api/UserResume/SaveUserResumeDetailInfo */
export async function saveUserResumeDetailInfo(
  body: API.SaveUserResumeDetailInfoInput,
  options?: API.RequestConfig
) {
  return request<any>('/api/UserResume/SaveUserResumeDetailInfo', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 此处后端没有提供注释 POST /api/UserResume/SaveUserResumeExpectationJob */
export async function saveUserResumeExpectationJob(
  body: API.SaveUserResumeExpectationJobInput,
  options?: API.RequestConfig
) {
  return request<any>('/api/UserResume/SaveUserResumeExpectationJob', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 此处后端没有提供注释 POST /api/UserResume/SaveUserResumeWorkExperience */
export async function saveUserResumeWorkExperience(
  body: API.SaveUserResumeWorkExperienceInput,
  options?: API.RequestConfig
) {
  return request<any>('/api/UserResume/SaveUserResumeWorkExperience', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}
